{ lib, config, pkgs, ... }:

with lib;

let
  cfg = config.roles.audio;
in
{
  options.roles.audio = {
    enable = mkEnableOption "Enable the audio role";
  };

  config = mkIf cfg.enable
    {
      environment.systemPackages = with pkgs; [
        easyeffects
        paprefs
        pavucontrol
        pulsemixer
      ];

      services.pipewire = {
        enable = true;
        alsa.enable = true;
        alsa.support32Bit = true;
        pulse.enable = true;
      };

      services.squeezelite = {
        #enable = true;
        pulseAudio = true;
      };
    };

}
